import {Component, Input} from '@angular/core';
import {GameModel} from "../../project/game-model/GameModel";
import {MatActionList, MatListItem} from "@angular/material/list";
import {MatIcon} from "@angular/material/icon";
import {NgForOf} from "@angular/common";

@Component({
  selector: 'app-character-overview',
  standalone: true,
  imports: [
    MatActionList,
    MatIcon,
    MatListItem,
    NgForOf
  ],
  templateUrl: './character-overview.component.html',
  styleUrl: './character-overview.component.scss'
})
export class CharacterOverviewComponent {

  @Input() gameModel: GameModel | undefined
}
